Si algunos de nuestros foros, manuales, ALDOS, paquetería o proyectos te han resultado de ayuda, apreciaremos mucho nos apoyes con un donativo.

Próximo fin de ciclo de vida para PHP 5.3.

La versión 5.3.27 de PHP será la última de la rama 5.3 con lanzamiento regular y comienza la cuenta regresiva de un año para finalizar el ciclo de vida de esta rama de PHP, pues hasta el fin de éste sólo se publicarán correcciones para problemas de seguridad.

¿Qué repercusiones tiene el fin de ciclo de vida de PHP 5.3 para los servidores en producción?

Red Hat y CentOS continuarán brindando soporte para PHP 5.3 hasta el fin de ciclo de CentOS 6 y Red Hat Enterprise Linux 6. Para mantenerse relativamente en vanguardia, seguramente el siguiente lanzamiento de estos sistemas operativos incluirá un conjunto de paquetes para PHP 5.4 (php54-*). Las demás distribuciones orientados hacia servidores en producción seguramente harán lo mismo.

Las distribuciones de vanguardia (ejemplos: Fedora, openSUSE y Ubuntu no-LTS) están funcionando como plataforma de pruebas y ya utilizan desde hace varios meses PHP 5.4 o bien PHP 5.5.

Para los desarrolladores de aplicaciones significa que tienen todo un año para terminar de migrar sus desarrollos a PHP 5.4 o PHP 5.5.

¿Qué repercusiones tiene para CentOS 5 o Red Hat Enterprise Linux 5?

Sistemas operativos más viejos como CentOS 5 o Red Hat Enterprise Linux 5 tendrán un escenario más complicado, pues PHP 5.4 y 5.5 requieren una versión más reciente de SQLite. Lo máximo a lo que pueden actualizar sin modificar la versión de SQLite es PHP 5.3.11.

Actualmente estos sistemas utilizan de modo predeterminado PHP 5.1.2 —con muchos parches portados desde versiones posteriores de PHP y opcionalmente pueden utilizar PHP 5.3.3 —también con muchos parches.

Hay dos alternativas para permitir utilizar versiones más recientes de PHP: o se distribuyen paquetes de PHP sin soporte para SQLite o bien se actualiza la versión de SQLite del sistema —lo cual implicaría tener que recompilar algunos de los paquetes dependientes de SQLite para impedir se rompan los ABI.

Habrá que esperar que decisiones tome Red Hat al respecto para quienes están atrapados con CentOS 5 o Red Hat Enterprise Linux 5. La solución más simple para quienes necesitan tomar una decisión ahora, es actualizar a CentOS 6 o Red Hat Enterprise Linux 6 o esperar por los lanzamientos de CentOS 7 o Red Hat Enterprise Linux 7, lo cual podría ocurrir a finales de este año.


Atención: Salvo que se indique lo contrario, la licencia del texto de este documento es Creative Commons Reconocimiento 2.5, mediante la cual usted tiene permitido copiar, modificar, comunicar y distribuir el contenido de este texto, de manera total o parcial, y publicarlo o difundirlo en cualquier otro sitio de Internet o medio de comunicaciòn, siempre y cuando incluya o cite (1)el nombre de este sitio de Internet, (2)enlace permanente de este documento, (3)nombre del autor y (4)la misma licencia de distribución.

Opciones: Imprimir | Recomendar | Enlace permanente

Twitter Facebook Google Bookmarks Bitacoras.com Wikio Menéame Technorati Bloglines Digg Yahoo Buzz

Seguimientos (Trackback)

URL de seguimiento para esta entrada:
http://www.alcancelibre.org/trackback.php/proximo-ciclo-vida-php53
Agregar comentario

Los siguientes comentarios son de la persona que los haya enviado. Este sitio se deslinda de cualquier responsabilidad respecto de las opiniones expresadas por los participantes en nuestros foros y secciones de comentarios, y el hecho de publicar las mismas no significa que se esté de acuerdo con éstas.